Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 619782 - x11-misc/lightdm-gtk-greeter-2.0.1-r1 fails to build with gcc 6.3
Summary: x11-misc/lightdm-gtk-greeter-2.0.1-r1 fails to build with gcc 6.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Markos Chandras (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6 627208
  Show dependency tree
 
Reported: 2017-05-26 20:56 UTC by ernsteiswuerfel
Modified: 2017-08-06 22:24 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,34.99 KB, text/x-log)
2017-05-26 20:56 UTC, ernsteiswuerfel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel 2017-05-26 20:56:12 UTC
Created attachment 474428 [details]
build.log

# emerge -pqv '=x11-misc/lightdm-gtk-greeter-2.0.1-r1::gentoo'
[ebuild   R   ] x11-misc/lightdm-gtk-greeter-2.0.1-r1  USE="branding (-ayatana)"

emerge --info '=x11-misc/lightdm-gtk-greeter-2.0.1-r1::gentoo'
Portage 2.3.5 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/gnome/systemd, gcc-6.3.0, glibc-2.23-r3, 4.11.3-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.11.3-gentoo-x86_64-AMD_FX-8370_Eight-Core_Processor-with-gentoo-2.3
KiB Mem:    16455656 total,  13407192 free
KiB Swap:    2097148 total,   2097148 free
Timestamp of repository gentoo: Fri, 26 May 2017 17:30:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.7.2::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.26.2::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo, 6.3.0::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

gentoo-mate
    location: /var/lib/layman/gentoo-mate
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/gentoo-mate.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -mtune=native -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9 -l8"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-6"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacs acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo caja cdda cdr cli colord cracklib crypt cryptsetup css cups custom-cflags custom-optimization cxx dbus djvu dri dts dvd dvdr eds emboss enca encode evo exif fam firefox flac fortran gdbm gif glamor gles2 gnome-keyring gnome-online-accounts gnutls gstreamer gtk gtk3 iconv icu introspection ipv6 jemalloc jpeg jpeg2k lcms libnotify libsecret lz4 lzma lzo mad mmap mng modules mp3 mp4 mpeg mtp multilib ncurses networkmanager nls nptl nsplugin ogg opengl openmp opus pam pango pcre pdf png policykit ppds pulseaudio qt5 readline sdl seccomp session smp spell ssl startup-notification svg system-sqlite systemd tcpd threads tiff tracker truetype udev udisks unicode upower usb vdpau vorbis vpx webp wmf wxwidgets x264 xattr xcb xml xmp xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx fma3 fma4 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev" KERNEL="linux" L10N="de en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en de_DE" LLVM_TARGETS="AMDGPU X86" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby22" SANE_BACKENDS="genesys" USERLAND="GNU" VIDEO_CARDS="fbdev amdgpu radeon radeonsi" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

x11-misc/lightdm-gtk-greeter-2.0.1-r1::gentoo was built with the following:
USE="branding (-ayatana)" ABI_X86="64"
Comment 1 Stephan Hartmann 2017-06-15 14:25:45 UTC
Either try x11-misc/lightdm-gtk-greeter-2.0.2 or apply patch from here:

http://bazaar.launchpad.net/~lightdm-gtk-greeter-team/lightdm-gtk-greeter/trunk/revision/349
Comment 2 ernsteiswuerfel 2017-06-16 10:53:24 UTC
lightdm-gtk-greeter-2.0.2 pulls in quite a lot of unneeded deps (bug #597358, https://bugs.launchpad.net/lightdm-gtk-greeter/+bug/1635816):

# emerge -pv =x11-misc/lightdm-gtk-greeter-2.0.2

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] virtual/perl-parent-0.234.0-r1::gentoo  0 KiB
[ebuild  N     ] virtual/perl-Exporter-5.720.0-r2::gentoo  0 KiB
[ebuild  N     ] dev-perl/URI-1.710.0::gentoo  USE="{-test}" 0 KiB
[ebuild  N     ] xfce-base/libxfce4util-4.12.1-r1:0/7::gentoo  USE="-debug" 0 KiB
[ebuild  N     ] xfce-base/xfconf-4.12.0-r1::gentoo  USE="-debug -perl" 0 KiB
[ebuild  N     ] xfce-base/libxfce4ui-4.13.0::gentoo  USE="startup-notification -debug -glade" 0 KiB
[ebuild  N     ] xfce-base/exo-0.10.7::gentoo  USE="-debug" 0 KiB
[ebuild     U ~] x11-misc/lightdm-gtk-greeter-2.0.2::gentoo [2.0.1-r1::gentoo] USE="branding -ayatana" 477 KiB

Total: 8 packages (1 upgrade, 7 new), Size of downloads: 477 KiB


But thanks for pointing out the patch!
Comment 3 Peter Levine 2017-07-19 05:13:06 UTC
PR: https://github.com/gentoo/gentoo/pull/5131
Comment 4 David Seifert gentoo-dev 2017-07-30 09:14:47 UTC
commit 9bc8ca9cb58bf62bf0433c0c30a236b26d8dbe6c
Author: Peter Levine <plevine457@gmail.com>
Date:   Wed Jul 19 01:05:54 2017 -0400

    x11-misc/lightdm-gtk-greeter: Fix building with GCC-6
    
    Bug: https://bugs.gentoo.org/show_bug.cgi?id=619782